Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4Quasmon.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4Quasmon.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4Quasmon.cc	(revision 1055)
@@ -2028,26 +2057,27 @@
       }
       // ***VFQ***
-		    //if(kn>minSqN && kt>minSqT)
+      //if(kn>minSqN && kt>minSqT)
       // ***VQU***
-
       if (kn > minSqN && ku > minSqT)
       // ***VBQ***
-		    //if(kn>minSqN && kt>minSqB)
+      //if(kn>minSqN && kt>minSqB)
       // ***VTN***
-			   //if(kt>minSqB&&sPDG<MINPDG || sPDG>MINPDG&&kn>minSqN)
-      {
-	pCond=false;       // Ok, the appropriate parent cluster is found
+      //if(kt>minSqB&&sPDG<MINPDG || sPDG>MINPDG&&kn>minSqN)
+      {
+        pCond=false;       // Ok, the appropriate parent cluster is found
 #ifdef debug
         // ***VTN***VBQ***
-			     //G4cout<<"G4Q::HQ:P-Attempt#"<<pCount<<" *Yes* sPDG="<<sPDG<<",kt="<<kt<<">"
+        //G4cout<<"G4Q::HQ:P-Attempt#"<<pCount<<" *Yes* sPDG="<<sPDG<<",kt="<<kt<<">"
         //      <<minSqB<<" || kn="<<kn<<">"<<minSqN<<G4endl;
         // ***VQU***
-			     G4cout<<"G4Q::HQ:P-Attempt#"<<pCount<<" *Yes* sPDG="<<sPDG<<",ku="<<ku<<">"
+        G4cout<<"G4Q::HQ:P-Attempt#"<<pCount<<" *Yes* sPDG="<<sPDG<<",ku="<<ku<<">"
               <<minSqT<<" || kn="<<kn<<">"<<minSqN<<G4endl;
         // ***VFQ***
-			     //G4cout<<"G4Q::HQ:P-Attempt#"<<pCount<<" *Yes* sPDG="<<sPDG<<",kt="<<kt<<">"
+        //G4cout<<"G4Q::HQ:P-Attempt#"<<pCount<<" *Yes* sPDG="<<sPDG<<",kt="<<kt<<">"
         //      <<minSqT<<" || kn="<<kn<<">"<<minSqN<<G4endl;
 #endif
-      } else {
+      }
+      else
+      {
 #ifdef debug
         // ***VBQ***VTN***
@@ -2062,15 +2092,15 @@
 #endif
         // ***VTN*** (former default)
-			   //if(kt>=minSqB || sPDG>MINPDG&&kn>minSqN)
+        //if(kt>=minSqB || sPDG>MINPDG&&kn>minSqN)
         // ***VBQ***
-			   //if(kn<minSqN && kt>=minSqB)
+        //if(kn<minSqN && kt>=minSqB)
         // ***VFQ***
-			   //if(kn<minSqN && kt>=minSqT)
+        //if(kn<minSqN && kt>=minSqT)
         // ***VQU***
-
-	if (kn < minSqN && ku < minSqT) {
-
+        if (kn < minSqN && ku < minSqT)
+        {
           // ***VTN*** (former default)
-          //if(kt<minSqB&&sPDG<MINPDG && kt>PMEMktM2 || kn<minSqN&&sPDG>MINPDG&& kn>PMEMknM2)
+          //if(kt<minSqB&&sPDG<MINPDG && kt>PMEMktM2 || 
+          //   kn<minSqN&&sPDG>MINPDG && kn>PMEMknM2)
           // ***VBQ***
           //if(kt<minSqB && kt>PMEMktM2)
@@ -2078,6 +2108,6 @@
           //if(kt<minSqT && kt>PMEMktM2)
           // ***VQU***
-
-          if(ku<minSqT && ku>PMEMktM2) {
+          if(ku < minSqT && ku > PMEMktM2)
+          {
             // ***VQU***
             PMEMktM2=ku;
@@ -2106,8 +2136,9 @@
             PMEMnucf=nucflag;
 #ifdef pdebug
-            G4cout<<"G4Q::HQ:RememberBest rPDG="<<rPDG<<",sPDG="<<sPDG<<",kt="<<kt<<G4endl;
-#endif
-          } else if(!pCount) {                    // @@ Should not be here
-
+            G4cout<<"G4Q::HQ:RemTheBest rPDG="<<rPDG<<",sPDG="<<sPDG<<",kt="<<kt<<G4endl;
+#endif
+          }
+          else if(!pCount)
+          {                    // @@ Should not be here
             // ***VQU***
             PMEMktM2=ku;
@@ -2136,7 +2167,9 @@
             PMEMnucf=nucflag;
 #ifdef pdebug
-            G4cout<<"G4Q::HQ:RememberFirst rPDG="<<rPDG<<",sPDG="<<sPDG<<",kt="<<kt<<G4endl;
-#endif
-          } else {
+            G4cout<<"G4Q::HQ:RemTheFirst rPDG="<<rPDG<<",sPDG="<<sPDG<<",kt="<<kt<<G4endl;
+#endif
+          }
+          else
+          {
             fr4Mom=PMEMfr4M; // OK -> Recover the best found values
             rQ4Mom=PMEMrQ4M; // OK
@@ -2164,9 +2197,9 @@
             hsflag=PMEMhsfl; // OK
             nucflag=PMEMnucf;// OK
-	  }
-	}
+          }
+        }
       }
       pCount++;
-		  } // End of the WHILE of the parent choice
+    } // End of the WHILE of the parent choice
 #ifdef pdebug
     G4cout<<"G4Q::HQ:>rPDG="<<rPDG<<curQ<<",sPDG="<<sPDG<<",kt="<<kt<<",F="<<fprob
@@ -2193,7 +2226,8 @@
 
     if ( ( ( (sPDG < MINPDG && envPDG > MINPDG && envPDG != NUCPDG) || 
-             (sPDG > MINPDG && sPDG!=NUCPDG && envPDG > pPDG) ) && iniBN > 0) || 
-             iniBN > 1 || 
-             rPDG == 10 ) aMass=0.;  // No Pi0 cond.(eg in NucE)
+             (sPDG > MINPDG && sPDG!=NUCPDG && envPDG > pPDG)
+           ) && iniBN > 0
+         ) ||  iniBN > 1 ||  rPDG == 10
+       ) aMass=0.;         // No Pi0 cond.(eg in NucE)
 
 #ifdef pdebug
@@ -2205,7 +2239,8 @@
     if ( hsflag || 
          (sPDG < MINPDG && rMass < reMass+aMass) || 
-	 (sPDG > MINPDG && envPDG > pPDG && reTNM2 < tmpTM2) || 
-         fdul ) {
-      // >>>>>> Decay Q->S+H or Q/C->H1+H2 or suck in or evaporate or slow down or decay etc.
+         (sPDG > MINPDG && envPDG > pPDG && reTNM2 < tmpTM2) || 
+         fdul )
+    {
+      // >>>> Decay Q->S+H or Q/C->H1+H2 or suck in or evaporate or slow down or decay etc.
       // ========> Decide what to do, if fragmentation in this Candidate is impossible ===
 #ifdef debug
@@ -2216,5 +2251,5 @@
       if(hsflag) rMass=rQPDG.GetMass();          // Get Nuclear Cluster mass
       if(sPDG>MINPDG&&sPDG!=NUCPDG)              // "Quark exchange hadronization" case
-	     {
+      {
         G4QContent tmpEQ=envQC-pQC;              // Quark content for Residual Environment
         G4QNucleus tmpN(tmpEQ);                  // Pseudo nucleus for Residual Environment
@@ -2225,5 +2260,5 @@
         G4LorentzVector ResEnv4Mom(0.,0.,0.,tmpNM);// 4-Mom for the Residual Environment
         if(rQ4Mom==zeroLV)
-		      {
+        {
 #ifdef ppdebug
           G4cout<<"G4Q::HQ:NEEDS-EVAP-5,Q="<<q4Mom<<valQ<<",QEnv="<<theEnvironment<<G4endl;
@@ -2232,5 +2267,5 @@
           qEnv=theEnvironment;
           return theQHadrons;
-		      }
+        }
         G4LorentzVector retN4Mom=rQ4Mom+ResEnv4Mom;// 4-Mom for the Total Residual Nucleus
         G4double retNM2=retN4Mom.m2();    // SqMass of the Total Residual Nucleus @@ double
@@ -2265,7 +2300,7 @@
         //      <<"+rCB="<<rCB<<"+sCB="<<sCB<<"="<<tmpNM+rMass+sMass+rCB+sCB<<G4endl;
 #endif
-		      //if(nQuasms==1&&tmpNM+rMass+rCB+sMass+sCB<totMass)// Decay in resEnv+resQ+Fragment
-								if(2>3)                              //*** Attempt GoOutDropExcNucl is closed ***
-		      {
+        //if(nQuasms==1&&tmpNM+rMass+rCB+sMass+sCB<totMass)// Decay in resEnv+resQ+Fragment
+        if(2>3)                              //*** Attempt GoOutDropExcNucl is closed ***
+        {
           G4LorentzVector fr4M = G4LorentzVector(0.,0.,0.,sMass);//GSM of Fragment
           G4LorentzVector re4M = G4LorentzVector(0.,0.,0.,tmpNM);//GSM of ResidualEnviron
@@ -2278,5 +2313,5 @@
           G4double sum=tmpNM+sMass+rMass;
           if(fabs(totMass-sum)<eps)
-		        {
+          {
             re4M=tot4M*(tmpNM/sum);
             rq4M=tot4M*(rMass/sum);
@@ -2296,5 +2331,5 @@
             FillHadronVector(envH);              // Fill MovingEnvironment (del.equiv)
             qEnv = vacuum;                       // Distruct Environment
-			       }
+          }
           else
           {
@@ -2308,9 +2343,9 @@
           ClearQuasmon();                        // This Quasmon is done
           return theQHadrons;                    // The last decay of the quasmon...
-		      }
+        }
         //else if(nQuasms==1&&tmpTM+sMass<totMass) //Lose p,go out,leave GSResNuc
-		      //else if(nQuasms==1&&tmpTM+sMass+sCB<totMass) //Lose p,goOut,leaveGSResNuc
+        //else if(nQuasms==1&&tmpTM+sMass+sCB<totMass) //Lose p,goOut,leaveGSResNuc
         else if(2>3) // ********** Decay in Fragm + GSResidNucleus is Closed ************
-		      {
+        {
           G4LorentzVector dif1=tot4M-retN4Mom-fr4Mom;
           qEnv = G4QNucleus(tmpTQ,retN4Mom);         // Createa Nucleus for TotalResidNucl
@@ -2334,8 +2369,8 @@
           ClearQuasmon();                             // This Quasmon is done
           return theQHadrons;                        // The last decay of the quasmon...
-		      }
+        }
         else if(totBN>1&&totMass>totM&&totS>=0&&envPDG>MINPDG&&envPDG!=NUCPDG)//Evaporate
-								//else if(2>3) // ********** Forced Evaporation is Closed ************
-		      {
+        //else if(2>3) // ********** Forced Evaporation is Closed ************
+        {
 #ifdef ppdebug
           //@@ May be recalculate hadronization ??
@@ -2353,7 +2388,7 @@
           qEnv=theEnvironment;
           return theQHadrons;
-		      }
+        }
         else if(totBN==1&&nQuasms==1) // Decay of the baryonic Total Nucleus state
-		      {
+        {
 #ifdef debug
           G4cout<<"G4Q::HQ:tB=1,nQ=1,Z="<<totZ<<",S="<<totS<<totQC<<",M="<<totMass<<G4endl;
@@ -2366,14 +2401,14 @@
           {
             if(totS==1)               // Decay of the strange hyperstate
-			         {
+            {
               if(!totZ&&totMass>mLamb+mPi0)
-			           {
+              {
                 nucM  = mLamb;
                 nucPDG= 3122;
                 piM   = mPi0;
                 piPDG = 111;
-			           }
+              }
               else if(abs(totZ)==1&&totMass>mLamb+mPi)
-			           {
+              {
                 nucM  = mLamb;
                 nucPDG= 3122;
@@ -2381,53 +2416,53 @@
                 if(totZ>0) piPDG = 211;
                 else       piPDG =-211;
-			           }
+              }
               else
-			           {
+              {
                 G4cerr<<"***G4Q::HQ:Z="<<totZ<<",S="<<totS<<totQC<<",tM="<<totMass<<G4endl;
-    	           throw G4QException("G4Quasmon::HadronizeQuasm: Pi + Lambda decay error");
+                throw G4QException("G4Quasmon::HadronizeQuasm: Pi + Lambda decay error");
               }
-			         }
-			         else                      // Decay of the anti-strange hyperstate
-			         {
+            }
+            else                      // Decay of the anti-strange hyperstate
+            {
               if(!totZ&&totMass>mNeut+mK0)
-			           {
+              {
                 nucM  = mNeut;
                 nucPDG= 2112;
                 piM   = mK0;
                 piPDG = 311;
-			           }
+              }
               else if(totZ==2&&totMass>mProt+mK)
-			           {
+              {
                 piM   = mK;
                 piPDG = 321;
-			           }
+              }
               else if(totZ==1&&totMass>mProt+mK0&&G4UniformRand()>0.5)
-			           {
+              {
                 piM   = mK0;
                 piPDG = 311;
-			           }
+              }
               else if(totZ==1&&totMass>=mNeut+mK)
-			           {
+              {
                 nucM  = mNeut;
                 nucPDG= 2112;
                 piM   = mK;
                 piPDG = 321;
-			           }
+              }
               else
-			           {
+              {
                 G4cerr<<"***G4Q::HQ:Z="<<totZ<<",S="<<totS<<totQC<<",tM="<<totMass<<G4endl;
-    	           throw G4QException("G4Quasmon::HadronizeQuasm: K + Nucleon decay error");
+                throw G4QException("G4Quasmon::HadronizeQuasm: K + Nucleon decay error");
               }
-			         }
-		        }
+            }
+          }
           else if(totMass>PiNM&&!totS) // Decay in nucleon & pion
           {
             if(!totZ&&totMass>mProt+mPi&&G4UniformRand()<0.5)
-		          {
+            {
               piM   = mPi;
               piPDG = -211;
             }
             else if(!totZ&&totMass>mNeut+mPi0)
-		          {
+            {
               nucM  = mNeut;
               nucPDG= 2112;
@@ -2436,5 +2471,5 @@
             }
             else if(totZ==1&&totMass>mNeut+mPi&&G4UniformRand()<0.5)
-		          {
+            {
               nucM  = mNeut;
               nucPDG= 2112;
@@ -2443,10 +2478,10 @@
             }
             else if(totZ==1&&totMass>mProt+mPi0)
-		          {
+            {
               piM   = mPi0;
               piPDG = 111;
             }
             else if(totZ==-1)
-		          {
+            {
               nucM  = mNeut;
               nucPDG= 2112;
@@ -2455,25 +2490,25 @@
             }
             else if(totZ==2)
-		          {
+            {
               piM   = mPi;
               piPDG = 211;
             }
             else
-			         {
+            {
               G4cerr<<"*G4Q::HQ:Z="<<totZ<<",B="<<totBN<<",E="<<envQC<<",Q="<<valQ<<G4endl;
-    	         throw G4QException("G4Quasmon::HadronizeQuasm: Pi + Nucleon decay error");
-            }
-		        }
+              throw G4QException("G4Quasmon::HadronizeQuasm: Pi + Nucleon decay error");
+            }
+          }
           else if(!totS)
-		        {
+          {
             if(!totZ)
-			         {
+            {
               nucM=mNeut;
               nucPDG=2112;
             }
             else if(totZ<0||totZ>1)
-			         {
+            {
               G4cerr<<"*G4Q::HQ:Z="<<totZ<<",B="<<totBN<<",E="<<envQC<<",Q="<<valQ<<G4endl;
-    	         throw G4QException("G4Quasmon::HadronizeQuasm:Photon+Nucleon decay error");
+              throw G4QException("G4Quasmon::HadronizeQuasm:Photon+Nucleon decay error");
             }
           }
@@ -2482,5 +2517,5 @@
           G4double sum=piM+nucM;
           if(fabs(totMass-sum)<eps)
-		        {
+          {
             pi4M=tot4M*(piM/sum);
             nuc4M=tot4M*(nucM/sum);
@@ -2490,8 +2525,8 @@
             G4cerr<<"***G4Q::HQ:T="<<tot4M<<totMass<<"->gam/pi/K("<<piM<<")+N="<<nucPDG
                   <<"("<<nucM<<")="<<sum<<G4endl;
-    	       throw G4QException("G4Quasmon::HadronizeQuasm:Gam/Pi/K+N decay error");
-          }
-#ifdef debug
-	         G4cout<<"G4Q::HQ:T="<<tot4M<<totMass<<"->GPK="<<piPDG<<pi4M<<"+B="<<nucPDG<<nuc4M
+            throw G4QException("G4Quasmon::HadronizeQuasm:Gam/Pi/K+N decay error");
+          }
+#ifdef debug
+          G4cout<<"G4Q::HQ:T="<<tot4M<<totMass<<"->GPK="<<piPDG<<pi4M<<"+B="<<nucPDG<<nuc4M
                 <<G4endl;
 #endif
@@ -2508,5 +2543,5 @@
                    <<", envPDG="<<envPDG<<G4endl;
 #endif
-	     }
+      }
       G4double dm=quasM-sMass;
 #ifdef debug
@@ -2515,7 +2550,7 @@
 #endif
       if(abs(dm)<.000001)
-	     {
+      {
         if(sPDG==iniPDG)
-	       {
+        {
           G4QHadron* quasH = new G4QHadron(iniPDG,q4Mom);//Create Hadron for Quasmon-Hadron
           FillHadronVector(quasH);                   // Fill "new quasH" (del. equivalent)
@@ -2523,15 +2558,15 @@
           qEnv=theEnvironment;                       // Keep initial environment
           return theQHadrons;                        // The last decay of the total nucleus
-	       }
+        }
         else G4cerr<<"---Warning---G4Q::HQ:Q=H,q="<<iniPDG<<",s="<<sPDG<<",d="<<dm<<G4endl;
-	     }
+      }
       G4double rWi=0.;
       if(rPDG!=10) rWi=G4QPDGCode(rPDG).GetWidth();
       if(rPDG!=10&&rMass>dm&&!rWi)   // Try to use the h-resonance width or reduce its spin
-	     {
+      {
         G4double sWi=G4QPDGCode(sPDG).GetWidth();
         G4double sMM=G4QPDGCode(sPDG).GetMass();
         if(sWi)                                      // Hadron is a resonance
-		      {
+        {
           G4double mmm=theWorld->GetQParticle(G4QPDGCode(sPDG))->MinMassOfFragm();
           G4double ddm=quasM-rMass;                  // Minimum mass of the sHadron
@@ -2554,7 +2589,7 @@
                   <<sWi<<G4endl;
 #endif
-		        }
+          }
           //else if(G4int ds1=abs(sPDG)%10>2)        // @@ Make it C-style ?: operator ?
-		        //{
+          //{
           //  G4int oPDG=sPDG;
           //  if   (sPDG>0&&sPDG%2==0)   sPDG-=ds1-2;
@@ -2564,6 +2599,6 @@
           //  sMass=G4QPDGCode(sPDG).GetMass();
           //  G4cout<<"**G4Q::HQ:sPDG="<<oPDG<<" changed to "<<sPDG<<",sM="<<sMass<<G4endl;
-		        //}
-		      }
+          //}
+        }
       }
       // First decay suppression for the final decay in 2 particles
@@ -2579,5 +2614,5 @@
         //if(dm>958. && rnd>.5) rPDG=331;
         if(dm>958.) rPDG=331;
-		      else rPDG=221;
+        else rPDG=221;
       }
       if(rPDG==221 && dm>958. && rnd>.5 ) rPDG=331;
@@ -2593,5 +2628,5 @@
              rMass > 782. && dm > 782. && rnd < .5) rPDG = 223; //0->omega
 
-      if ( rPDG == 331 && rMass > 1020. && dm > 1020. && rnd < .5) rPDG=333;    // eta' -> phi0
+      if ( rPDG == 331 && rMass > 1020. && dm > 1020. && rnd < .5) rPDG=333;// eta' -> phi0
 
       if(rPDG== 211 && dm>544. && rnd>.5) rPDG= 213; // M-1.5*W conv. of pi+ to rho+
@@ -2607,35 +2642,35 @@
 #endif
         if(reMass==0.)
-	       {
+        {
           if(sPDG==221 || sPDG==331)                 // Change eta-Candidate to pi/gamma
-	         {
+          {
             if     (sPDG==221) dm+=mEta-mPi0;
             else if(sPDG==331) dm+=mEtaP-mPi0;
             if(dm<0)
-			         {
+            {
               dm+=mPi0;
               sPDG=22;
               sMass=0.;
-			         }
+            }
             else
             {
               sPDG=111;
               sMass=mPi0;
-			         }
+            }
             if(dm<mPi0-.00001&&rPDG==111)
-			         {
+            {
               rPDG=22;
               reMass=0.;
-			         }
+            }
             else reMass=GetRandomMass(rPDG,dm);//Rerandomize mass of ResidQuasmon-Resonance
             if(reMass==0.)G4cerr<<"-W-G4Q::HQ:2,M="<<quasM<<",r="<<rPDG<<",d="<<dm<<G4endl;
-		        }
+          }
           else if(rPDG==111)                      // Make a photon out of the Resid Quasmon
-		        {
+          {
             rPDG=22;
             reMass=0.;
-		        }
+          }
           else
-		        {
+          {
             if(CheckGroundState()) ClearQuasmon();// This Quasmon is done
             //if(CheckGroundState(true)) KillQuasmon();// This Quasmon is done
@@ -2646,20 +2681,20 @@
             qEnv=theEnvironment;
             return theQHadrons;
-	         }
-        }
-	     }
+          }
+        }
+      }
       else if(rPDG==NUCPDG)
-	     {
+      {
         if(dm>mPi0)
         {
-		         rPDG=111;
+           rPDG=111;
            reMass=mPi0;
         }
         else
         {
-  		       rPDG=22;
+           rPDG=22;
            reMass=0.;
         }
-  	   }
+      }
       G4double freeRQM=rQPDG.GetMass();
       G4int    RQB = rQPDG.GetBaryNum();
@@ -2671,5 +2706,5 @@
       G4double sCB=theEnvironment.CoulombBarrier(sChg,sBaryn);
 #ifdef debug
-	     G4cout<<"G4Q::HQ:h="<<sCB<<",C="<<sChg<<",B="<<sBaryn<<",E="<<theEnvironment<<G4endl;
+      G4cout<<"G4Q::HQ:h="<<sCB<<",C="<<sChg<<",B="<<sBaryn<<",E="<<theEnvironment<<G4endl;
 #endif
       G4int rChg=rQPDG.GetCharge();
@@ -2681,6 +2716,9 @@
 #endif
       if ( totBN > 1 && totS >= 0 && envPDG > MINPDG && envPDG != NUCPDG &&
-          (reMass+sMass > quasM || sCB+rCB+reMass+sMass+envM > totMass || (!RQB && quasM < diPiM) ) )
-	     //if(2>3)                                      // This Evaporation channel is closed
+           (reMass+sMass > quasM || sCB+rCB+reMass+sMass+envM > totMass ||
+             (!RQB && quasM < diPiM)
+           )
+         )
+      //if(2>3)                                      // This Evaporation channel is closed
       {
 #ifdef ppdebug
@@ -2692,5 +2730,5 @@
         qEnv=theEnvironment;
         return theQHadrons;
-	     }
+      }
       if(rPDG==NUCPDG)                                
       {
@@ -2699,7 +2737,7 @@
       }
       if(rPDG==2212&&sPDG==311&&reMass+sMass>quasM)
-	     {
+      {
         if(mNeut+mK<=quasM+.001)
-		      {
+        {
           reMass=mNeut;
           rPDG  =2112;
@@ -2709,5 +2747,5 @@
           rCB=theEnvironment.CoulombBarrier(rChg,rBaryn);
 #ifdef debug
-	         G4cout<<"G4Q::HQ:NCB="<<rCB<<",NC="<<rChg<<",sB="<<sBaryn<<",r="<<rQPDG<<G4endl;
+          G4cout<<"G4Q::HQ:NCB="<<rCB<<",NC="<<rChg<<",sB="<<sBaryn<<",r="<<rQPDG<<G4endl;
 #endif
           freeRQM=mNeut;
@@ -2722,5 +2760,5 @@
           sCB=theEnvironment.CoulombBarrier(sChg,sBaryn);
 #ifdef debug
-	         G4cout<<"G4Q::HQ:KCB="<<sCB<<",KC="<<sChg<<",frB="<<sBaryn<<",E="<<theEnvironment
+          G4cout<<"G4Q::HQ:KCB="<<sCB<<",KC="<<sChg<<",frB="<<sBaryn<<",E="<<theEnvironment
                 <<G4endl;
 #endif
@@ -2751,5 +2789,5 @@
         q4Mom+=G4LorentzVector(0.,0.,0.,pMass);
       }
-	     G4double tmM=q4Mom.m()+.001;;
+      G4double tmM=q4Mom.m()+.001;;
       G4double sum=reMass+sMass;
       if(fabs(tmM-sum)<eps)
@@ -2773,5 +2811,5 @@
           G4double nreM=nNuc.GetGSMass();          // Mass of the new isotope
           if(tmM>mK+nreM)
-		        {
+          {
             sMass=mK;
             sPDG=321;
@@ -2795,5 +2833,5 @@
           }
           else
-		        {
+          {
             G4cerr<<"***G4Q::HQ:(O) KCor M="<<tmM<<"=>rPDG="<<rPDG<<"(rM="<<reMass
                   <<")+sPDG="<<sPDG<<"(sM="<<sMass<<")="<<sum<<G4endl;
@@ -2807,5 +2845,5 @@
           G4double nreM=nNuc.GetGSMass();          // Mass of the new isotope
           if(tmM>mK0+nreM)
-		        {
+          {
             sMass=mK0;
             sPDG=311;
@@ -2829,5 +2867,5 @@
           }
           else
-		        {
+          {
             G4cerr<<"***G4Q::HQ:(O) K0Cor M="<<tmM<<"=>rPDG="<<rPDG<<"(rM="<<reMass
                   <<")+sPDG="<<sPDG<<"(sM="<<sMass<<")="<<sum<<G4endl;
@@ -2841,5 +2879,5 @@
           G4double nreM=nNuc.GetGSMass();          // Mass of the new isotope
           if(tmM>mPi0+nreM)
-		        {
+          {
             sMass=mPi0;
             sPDG=111;
@@ -2863,5 +2901,5 @@
           }
           else if(tmM>nreM)
-		        {
+          {
             sMass=0.;
             sPDG=22;
@@ -2885,5 +2923,5 @@
           }
           else
-		        {
+          {
             G4cerr<<"***G4Q::HQ:(O) Pi+/Pi0Cor M="<<tmM<<"=>rPDG="<<rPDG<<"(rM="<<reMass
                   <<")+sPDG="<<sPDG<<"(sM="<<sMass<<")="<<sum<<G4endl;
@@ -2897,5 +2935,5 @@
           G4double nreM=nNuc.GetGSMass();          // Mass of the new isotope
           if(tmM>mPi0+nreM)
-		        {
+          {
             sMass=mPi0;
             sPDG=111;
@@ -2919,5 +2957,5 @@
           }
           else if(tmM>nreM)
-		        {
+          {
             sMass=0.;
             sPDG=22;
@@ -2942,5 +2980,5 @@
         }
         else if((sPDG==221 || sPDG==331) && tmM>mPi0+reMass)
-		      {
+        {
           sMass=mPi0;
           sPDG=111;
@@ -2960,5 +2998,5 @@
         }
         else if((sPDG==111 || sPDG==221 || sPDG==331) && tmM>reMass)
-		      {
+        {
           sMass=0.;
           sPDG=22;
@@ -3055,5 +3093,5 @@
           }
           else
-		        {
+          {
             G4cerr<<"***G4Q::HQ: LamToN M="<<tmM<<totQC<<"=>rM="<<nucM.GetPDG()<<","
                   <<nucZ.GetPDG()<<"("<<nreM<<","<<nreZ<<")+PiM/PiZ="<<mPi+nreM<<","
@@ -3063,5 +3101,5 @@
         }
         else if(tmM>iniQM)
-		      {
+        {
           G4QContent tmpSQC=G4QPDGCode(sPDG).GetQuarkContent();//QuarkContent of the hadron
           sMass=0.;
@@ -3086,5 +3124,5 @@
         }
         else if(totMass>resTNM+sMass) // Just decay in sPDG and total residual nucleus
-    	   {
+        {
           G4LorentzVector re4M = G4LorentzVector(0.,0.,0.,resTNM); //GSM of ResidTotEnvir
           G4LorentzVector rs4M = G4LorentzVector(0.,0.,0.,sMass);  //GSM of a Hadron
@@ -3095,5 +3133,5 @@
           G4double sum=resTNM+sMass;
           if(fabs(totMass-sum)<eps)
-		        {
+          {
             re4M=tot4M*(resTNM/sum);
             rs4M=tot4M*(sMass/sum);
@@ -3114,5 +3152,5 @@
               resTN.Set4Momentum(re4M);
               qEnv=resTN;                          // Create Nucleus for MovingResEnv
-												}
+            }
             else
             {
@@ -3120,11 +3158,11 @@
               FillHadronVector(envH);              // Fill MovingEnvironment (del.equiv)
               qEnv = vacuum;
-			         }
+            }
             ClearQuasmon();                         // This Quasmon is done
             return theQHadrons;                    // The last decay of the quasmon...
-		        }
+          }
         }
         else if(totMass>totM)         // Just decay in minimal total nucleus and gamma
-    	   {
+        {
           G4LorentzVector re4M = G4LorentzVector(0.,0.,0.,totM); // GSM of ResidTotEnvir
           G4LorentzVector rs4M = G4LorentzVector(0.,0.,0.,0.);   // GSM of a Photon
@@ -3146,5 +3184,5 @@
               totN.Set4Momentum(re4M);
               qEnv=totN;// Create Nucleus for MovingResEnv
-												}
+            }
             else
             {
@@ -3152,8 +3190,8 @@
               FillHadronVector(envH);              // Fill MovingEnvironment (del.equiv)
               qEnv = vacuum;
-			         }
+            }
             ClearQuasmon();                         // This Quasmon is done
             return theQHadrons;                    // The last decay of the quasmon...
-		        }
+          }
         }
         else
@@ -3161,16 +3199,16 @@
           G4cerr<<"***G4Q::HQ:M="<<tmM<<"=>rPDG="<<rPDG<<"(rM="<<reMass<<")+sPDG="
                 <<sPDG<<"(sM="<<sMass<<")="<<sum<<",QM="<<iniQM<<G4endl;
-										if(fabs(tmM-sum)<1.) // Just to avoid exception (Must be treated !)
-										//if(2>3)            // ------> Catch the under mass shell event
+          if(fabs(tmM-sum)<1.) // Just to avoid exception (Must be treated !)
+          //if(2>3)            // ------> Catch the under mass shell event
           {
             r4Mom=q4Mom*(reMass/sum);
             s4Mom=q4Mom*(sMass/sum);
           }
-										else throw G4QException("***G4Quasmon::HadronizeQuasmon:QHadr+SHadr DecayIn2");
+          else throw G4QException("***G4Quasmon::HadronizeQuasmon:QHadr+SHadr DecayIn2");
         }
       }
       G4double sKE=s4Mom.e()-sMass;
 #ifdef rdebug
-	     G4cout<<"G4Q::HQ:=2.3=>QHVect s4M="<<s4Mom<<",sPDG="<<sPDG<<", r4M/M="<<r4Mom<<reMass
+      G4cout<<"G4Q::HQ:=2.3=>QHVect s4M="<<s4Mom<<",sPDG="<<sPDG<<", r4M/M="<<r4Mom<<reMass
             <<",fR="<<freeRQM<<",fW="<<fRQW<<",PDG="<<rPDG<<",r="<<rCB<<",s="<<sCB<<G4endl;
 #endif
@@ -3178,5 +3216,5 @@
       //if(sKE<sCB||rKE<rCB)                  // => "KinEn is below CB, try once more" case
       if(sKE<sCB)                             // => "KinEn is below CB, try once more" case
-	     {
+      {
 #ifdef ppdebug
         G4cout<<"****G4Q::HQ:E-9: sKE="<<sKE<<"<sCB="<<sCB<<G4endl;
@@ -3186,5 +3224,5 @@
         qEnv=theEnvironment;
         return theQHadrons;
-	     }
+      }
       else if(abs(reMass-freeRQM)<fRQW||envPDG==NUCPDG)//=>"ResidQ is a GSHadron/Frag" case
       {
@@ -3194,5 +3232,5 @@
         FillHadronVector(curHadr2);                  // Fill "new curHadr2" (del. eq.)
 #ifdef rdebug
-	       G4cout<<"G4Q::HQ:DecayQuasmon "<<q4Mom<<" in 4M="<<r4Mom+s4Mom<<" RQ="<<rPDG<<r4Mom
+        G4cout<<"G4Q::HQ:DecayQuasmon "<<q4Mom<<" in 4M="<<r4Mom+s4Mom<<" RQ="<<rPDG<<r4Mom
               <<" + Fragment="<<sPDG<<s4Mom<<", Env="<<theEnvironment<<G4endl;
 #endif
@@ -3201,7 +3239,7 @@
         qEnv=theEnvironment;                        // Update the QEnvironment
         return theQHadrons;                         // This is theLastDecay of the quasmon
-	     }
+      }
       else                                           // => "Virtual Residual Quasmon" case
-	     {
+      {
         G4LorentzVector resTotN4Mom=r4Mom+G4LorentzVector(0.,0.,0.,envM);
         G4QContent resTotNQC=envQC+curQ;             // QCof possible residual nucleus
@@ -3210,5 +3248,5 @@
         G4double   resTotNM=resTotN.GetMZNS();       // Mass of the Total Residual Nucleus
         if(resTotN4Mom.m()<resTotNM)                 // Needs total evaporation
-		      {
+        {
           //if(totBN>1&&totMass>totM&&totS>=0)         //@@ ??
 #ifdef ppdebug
@@ -3221,5 +3259,5 @@
         }
         else                                         // Only theTotResidNucl can evaporate
-		      {
+        {
           G4QHadron* curHadr2 = new G4QHadron(sPDG,s4Mom);// Create Hadron for theOutHadron
           FillHadronVector(curHadr2);                // Fill "new curHadr2" (del.equiv.)
@@ -3249,29 +3287,29 @@
         }
       }
-	   }
+    }
 #ifdef rdebug
-	   else G4cout<<"G4Q::HQ:NO-OK,h="<<hsflag<<",d="<<fdul<<",M="<<rMass<<"<"<<reMass<<",M2="
+    else G4cout<<"G4Q::HQ:NO-OK,h="<<hsflag<<",d="<<fdul<<",M="<<rMass<<"<"<<reMass<<",M2="
                <<reTNM2<<"<I="<<tmpTM2<<",sP="<<sPDG<<",eP="<<envPDG<<",pP="<<pPDG<<G4endl;
 #endif
-	   if(!fskip)                                       // Continue search for fragmentation
-	   {
+    if(!fskip)                                       // Continue search for fragmentation
+    {
       // ==== From this point for nuclear fragments the procedure is just filling =====
 #ifdef debug
-	     G4int ePDG=theEnvironment.GetPDG();
+      G4int ePDG=theEnvironment.GetPDG();
       G4double frKin=fr4Mom.e()-sMass;
-	     G4cout<<"G4Q::HQ:>>"<<sPDG<<fr4Mom<<fr4Mom.m()<<"="<<sMass<<",T="<<frKin<<",E="<<ePDG
+      G4cout<<"G4Q::HQ:>>"<<sPDG<<fr4Mom<<fr4Mom.m()<<"="<<sMass<<",T="<<frKin<<",E="<<ePDG
             <<G4endl;
 #endif
       //if(sPDG<MINPDG&&(ePDG==NUCPDG||nQuasms==1)) //==>>"Hadron candidate in Vacuum" case
       //if(sPDG<MINPDG&&nQuasms==1) // ==>> "Hadron candidate with the only Quasmon" case
-	     if(sPDG<MINPDG)                         // Hadronic decay is always in vacuum @@??
+      if(sPDG<MINPDG)                         // Hadronic decay is always in vacuum @@??
       {
         G4int SQ=totQC.GetStrangeness();
 #ifdef debug
-	       G4cout<<"G4Q::HQ: sPDG="<<sPDG<<", sM="<<sMass<<", SQ="<<SQ<<G4endl;
+        G4cout<<"G4Q::HQ: sPDG="<<sPDG<<", sM="<<sMass<<", SQ="<<SQ<<G4endl;
 #endif
         if(!sPDG&&SQ<0&&nQuasms==1) // decay Of Tot(Q+Env) in K+/aK0 & residual
-		      //if(!sPDG&&SQ<0)           // decay in K+/aK0 & residual
-		      {
+        //if(!sPDG&&SQ<0)           // decay in K+/aK0 & residual
+        {
           sPDG=321;
           sMass=mK;
@@ -3289,5 +3327,5 @@
           {
 #ifdef ppdebug
-	    G4cout<<"G4Q::HQ:***PANIC#2***tM="<<totMass<<"<KM="<<mK<<","<<mK0<<",rM="<<rKPM
+            G4cout<<"G4Q::HQ:***PANIC#2***tM="<<totMass<<"<KM="<<mK<<","<<mK0<<",rM="<<rKPM
                   <<","<<rK0M<<",d="<<mK+rKPM-totMass<<","<<mK0+rK0M-totMass<<G4endl;
             throw G4QException("G4Quasmon::HadronizeQuasmon: Why PANIC? (2)"); //@@ TMP
@@ -3296,19 +3334,19 @@
             qEnv=theEnvironment;                     // Update the QEnvironment
             return theQHadrons;
-		        }
+          }
           if(rKPM + mK > rK0M + mK0)
-		        {
+          {
             rPDG  = rK0PDG;                          // PDG of the Residual System to K0
             rMass = rK0M;
             sPDG  = 311;
             sMass = mK0;
-		        }
+          }
           else
-		        {
+          {
             rPDG  = rKPPDG;                          // PDG of the Residual System to K+
             rMass = rKPM;
             sPDG  = 321;
             sMass = mK;
-		        }
+          }
           G4double ctM=tot4M.m();
           G4LorentzVector r4Mom(0.,0.,0.,rMass);
@@ -3316,5 +3354,5 @@
           G4double sum=rMass+sMass;
           if(fabs(ctM-sum)<eps)
-		        {
+          {
             r4Mom=tot4M*(rMass/sum);
             s4Mom=tot4M*(sMass/sum);
